GNU bug report logs - #11544
Subject: 24.1.50; ediff-buffers command window does not work properly

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Munawar Cheema <munawar.a.cheema@HIDDEN>; merged with #11480; dated Tue, 22 May 2012 21:05:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 11544 <at> debbugs.gnu.org:


Received: (at 11544) by debbugs.gnu.org; 24 May 2012 16:26:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 24 12:26:25 2012
Received: from localhost ([127.0.0.1]:42209 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SXaro-0001xn-ER
	for submit <at> debbugs.gnu.org; Thu, 24 May 2012 12:26:25 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:47451 ident=Debian-exim)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <rgm@HIDDEN>) id 1SXarm-0001xf-5J
	for 11544 <at> debbugs.gnu.org; Thu, 24 May 2012 12:26:22 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1SXaqp-0000AP-DY; Thu, 24 May 2012 12:25:23 -0400
From: Glenn Morris <rgm@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#11544: Subject: 24.1.50;
	ediff-buffers command window does not work properly
References: <CADwNEa77pGf6pxebF_h_vR-e_uUi5CHC-FcWqhL2g=6AbmeTjQ@HIDDEN>
	<4FBCA96C.1070705@HIDDEN>
	<CADwNEa6EKG3nxAxnq7oN8Azfd28SBw52Cw7d0ENePuafkUjCqQ@HIDDEN>
	<4FBDF8F9.6060908@HIDDEN>
X-Spook: Syria BROMURE Area 51 BCCI BLU-114/B warfare Bellcore
X-Ran: Uo"mpvk)!BB!ab1]2Ot9Bg)ROO,~j9saE;N"c~YtHztA]\QYO2Gn{wA_3=Wi9gd`53'hpY
X-Hue: yellow
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Thu, 24 May 2012 12:25:23 -0400
In-Reply-To: <4FBDF8F9.6060908@HIDDEN> (martin rudalics's message of "Thu, 24
	May 2012 11:01:45 +0200")
Message-ID: <wa7gw15yx8.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -6.9 (------)
X-Debbugs-Envelope-To: 11544
Cc: Munawar Cheema <munawar.a.cheema@HIDDEN>, 11544 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

martin rudalics wrote:

>> I tried emacs 23 and it does the same thing on Ubuntu precise. I use
>> emacs on windows and have never seen this problem using ediff there
>> if that helps.
>
> I don't have the slightest idea what's going on so I can only suggest to
> try the following: Locate the file ediff-wind.el (in the lisp/vc
> subdirectory) and try to apply the patch I attached.  At least this way
> we should be able to find out whether doing two separate calls of
> `modify-frame-parameters' confuses your window manager.

My guess (based on no information) would be that this is somehow related
to Unity, like http://debbugs.gnu.org/10954




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11544; Package emacs. Full text available.

Message received at 11544 <at> debbugs.gnu.org:


Received: (at 11544) by debbugs.gnu.org; 24 May 2012 09:02:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 24 05:02:42 2012
Received: from localhost ([127.0.0.1]:41457 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SXTwP-0007te-Qx
	for submit <at> debbugs.gnu.org; Thu, 24 May 2012 05:02:42 -0400
Received: from mailout-de.gmx.net ([213.165.64.22]:41450)
	by debbugs.gnu.org with smtp (Exim 4.72)
	(envelope-from <rudalics@HIDDEN>) id 1SXTwO-0007tS-Km
	for 11544 <at> debbugs.gnu.org; Thu, 24 May 2012 05:02:41 -0400
Received: (qmail invoked by alias); 24 May 2012 09:01:40 -0000
Received: from 62-47-46-172.adsl.highway.telekom.at (EHLO [62.47.46.172])
	[62.47.46.172]
	by mail.gmx.net (mp072) with SMTP; 24 May 2012 11:01:40 +0200
X-Authenticated: #14592706
X-Provags-ID: V01U2FsdGVkX19MxltnY1xMGvggmcuviIOkPZenzfOITuT7EvWGez
	HT2lpdNM66n9Xf
Message-ID: <4FBDF8F9.6060908@HIDDEN>
Date: Thu, 24 May 2012 11:01:45 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Munawar Cheema <munawar.a.cheema@HIDDEN>
Subject: Re: bug#11544: Subject: 24.1.50; ediff-buffers command window does
	not work properly
References: <CADwNEa77pGf6pxebF_h_vR-e_uUi5CHC-FcWqhL2g=6AbmeTjQ@HIDDEN>	<4FBCA96C.1070705@HIDDEN>
	<CADwNEa6EKG3nxAxnq7oN8Azfd28SBw52Cw7d0ENePuafkUjCqQ@HIDDEN>
In-Reply-To: <CADwNEa6EKG3nxAxnq7oN8Azfd28SBw52Cw7d0ENePuafkUjCqQ@HIDDEN>
Content-Type: multipart/mixed; boundary="------------090003040705080703020200"
X-Y-GMX-Trusted: 0
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 11544
Cc: 11544 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.3 (/)

This is a multi-part message in MIME format.
--------------090003040705080703020200
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit

Please keep CCing to 11544 <at> debbugs.gnu.org so the information you
provide does not get lost.

 > On this bug, after typing the ? first the window grows to normal size and
 > then the window's left edge stays in place

But when you type "?" on your Windows Emacs the left edge moves?  Could
you try comparing the return values of the function
`ediff-make-frame-position' on GNU/Linux and Windows respectively?

 > and the width decreases to about
 > a characters width in a fairly continuous movement.

So it looks like an animated variant of bug#11480.

 > I tried emacs 23 and
 > it does the same thing on Ubuntu precise.  I use emacs on windows and have
 > never seen this problem using ediff there if that helps.

I don't have the slightest idea what's going on so I can only suggest to
try the following: Locate the file ediff-wind.el (in the lisp/vc
subdirectory) and try to apply the patch I attached.  At least this way
we should be able to find out whether doing two separate calls of
`modify-frame-parameters' confuses your window manager.

Thanks, martin

--------------090003040705080703020200
Content-Type: text/plain;
 name="ediff-wind.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: inline;
 filename="ediff-wind.diff"

*** lisp/vc/ediff-wind.el	2012-04-26 03:04:36 +0000
--- lisp/vc/ediff-wind.el	2012-05-24 08:41:17 +0000
***************
*** 1004,1010 ****
  
      (goto-char (point-min))
  
!     (modify-frame-parameters ctl-frame adjusted-parameters)
      (make-frame-visible ctl-frame)
  
      ;; This works around a bug in 19.25 and earlier.  There, if frame gets
--- 1004,1013 ----
  
      (goto-char (point-min))
  
!     (modify-frame-parameters
!      ctl-frame
!      (append adjusted-parameters
! 	     (funcall ediff-control-frame-position-function ctl-buffer fwidth fheight)))
      (make-frame-visible ctl-frame)
  
      ;; This works around a bug in 19.25 and earlier.  There, if frame gets
***************
*** 1024,1032 ****
  
      ;; Now move the frame.  We must do it separately due to an obscure bug in
      ;; XEmacs
!     (modify-frame-parameters
!      ctl-frame
!      (funcall ediff-control-frame-position-function ctl-buffer fwidth fheight))
  
      ;; synchronize so the cursor will move to control frame
      ;; per RMS suggestion
--- 1027,1035 ----
  
      ;; Now move the frame.  We must do it separately due to an obscure bug in
      ;; XEmacs
!     ;; (modify-frame-parameters
!      ;; ctl-frame
!      ;; (funcall ediff-control-frame-position-function ctl-buffer fwidth fheight))
  
      ;; synchronize so the cursor will move to control frame
      ;; per RMS suggestion


--------------090003040705080703020200--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11544; Package emacs. Full text available.

Message received at 11544 <at> debbugs.gnu.org:


Received: (at 11544) by debbugs.gnu.org; 23 May 2012 09:10:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 23 05:10:50 2012
Received: from localhost ([127.0.0.1]:40353 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SX7ak-0005EW-Cs
	for submit <at> debbugs.gnu.org; Wed, 23 May 2012 05:10:50 -0400
Received: from mailout-de.gmx.net ([213.165.64.22]:35213)
	by debbugs.gnu.org with smtp (Exim 4.72)
	(envelope-from <rudalics@HIDDEN>) id 1SX7ai-0005E8-Ag
	for 11544 <at> debbugs.gnu.org; Wed, 23 May 2012 05:10:48 -0400
Received: (qmail invoked by alias); 23 May 2012 09:09:54 -0000
Received: from 62-47-39-90.adsl.highway.telekom.at (EHLO [62.47.39.90])
	[62.47.39.90]
	by mail.gmx.net (mp030) with SMTP; 23 May 2012 11:09:54 +0200
X-Authenticated: #14592706
X-Provags-ID: V01U2FsdGVkX1+lmMgrKeKlSMAT6O9MP8ralsJRLNy00PPfOSOj23
	bsYkKJ5nfAgfbp
Message-ID: <4FBCA96C.1070705@HIDDEN>
Date: Wed, 23 May 2012 11:10:04 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Munawar Cheema <munawar.a.cheema@HIDDEN>
Subject: Re: bug#11544: Subject: 24.1.50;	ediff-buffers command window does
	not work properly
References: <CADwNEa77pGf6pxebF_h_vR-e_uUi5CHC-FcWqhL2g=6AbmeTjQ@HIDDEN>
In-Reply-To: <CADwNEa77pGf6pxebF_h_vR-e_uUi5CHC-FcWqhL2g=6AbmeTjQ@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Y-GMX-Trusted: 0
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 11544
Cc: 11544 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

 >  start emacs -Q, load in two files let's say .bashrc from two locations,
 > M-x ediff-buffers, now the little pop up window comes up, type ? and the
 > window does some bizarre moves and shrinks to almost nothing,

This looks like bug #11480.  Could you chararacterize the "moves" (are
they discrete or continuous, is a certain edge of the pop up window
always at the same screen position) and the shrinking (height or width)?

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11544; Package emacs. Full text available.
Merged 11480 11544. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 May 2012 21:04:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 22 17:04:46 2012
Received: from localhost ([127.0.0.1]:39412 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SWwG5-0004Ul-KX
	for submit <at> debbugs.gnu.org; Tue, 22 May 2012 17:04:46 -0400
Received: from eggs.gnu.org ([208.118.235.92]:47009)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <munawar.a.cheema@HIDDEN>) id 1SWw7I-0004HZ-Si
	for submit <at> debbugs.gnu.org; Tue, 22 May 2012 16:55:42 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <munawar.a.cheema@HIDDEN>) id 1SWw6S-0006gG-9K
	for submit <at> debbugs.gnu.org; Tue, 22 May 2012 16:54:50 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	HTML_MESSAGE,RCVD_IN_DNSWL_HI,T_DKIM_INVALID autolearn=unavailable
	version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:34850)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <munawar.a.cheema@HIDDEN>) id 1SWw6S-0006g8-3q
	for submit <at> debbugs.gnu.org; Tue, 22 May 2012 16:54:48 -0400
Received: from eggs.gnu.org ([208.118.235.92]:55698)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <munawar.a.cheema@HIDDEN>) id 1SWw6P-0008ON-OJ
	for bug-gnu-emacs@HIDDEN; Tue, 22 May 2012 16:54:47 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <munawar.a.cheema@HIDDEN>) id 1SWw6N-0006fT-1K
	for bug-gnu-emacs@HIDDEN; Tue, 22 May 2012 16:54:45 -0400
Received: from mail-gg0-f169.google.com ([209.85.161.169]:46185)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <munawar.a.cheema@HIDDEN>) id 1SWw6M-0006fF-PP
	for bug-gnu-emacs@HIDDEN; Tue, 22 May 2012 16:54:42 -0400
Received: by ggm4 with SMTP id 4so7118787ggm.0
	for <bug-gnu-emacs@HIDDEN>; Tue, 22 May 2012 13:54:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=mime-version:date:message-id:subject:from:to:content-type;
	bh=cT6XUIa82vvjx/dpnjhUiCNx8EwwbglX8pUAUAJOZxk=;
	b=PXRx155ZBCoWrU8/qhkeQo5FUAlUafSY1HENQxmtXaIJdNo7hL0e4/JU2y7y8sHU/y
	UgscnU3KjzuGgGRZ8iBCQow/pPZ8A7TBUIEXXGkAT2epISgi8gAcQwxouTHoh129eiaB
	jE98uDakVUzqZoutKFoLmIpOorceZ8PcxkcMPoWFDeVSCGzI+145WzgJs7kN+sJDXoxM
	UESnsjPx/tM4ZE6Ir2VtW9GSp2ZDU97R4229lxVQ9EQSsDCneGoLvWX0cnevTOboNNEL
	rzl1APha5U5mDX/BpaNeMqiITdLqXBt71wlsETNyYQf0qFMvC5x0XYGHw3VvichAjNE1
	carg==
MIME-Version: 1.0
Received: by 10.60.25.100 with SMTP id b4mr14326822oeg.64.1337720080026; Tue,
	22 May 2012 13:54:40 -0700 (PDT)
Received: by 10.182.109.70 with HTTP; Tue, 22 May 2012 13:54:40 -0700 (PDT)
Date: Tue, 22 May 2012 21:54:40 +0100
Message-ID: <CADwNEa77pGf6pxebF_h_vR-e_uUi5CHC-FcWqhL2g=6AbmeTjQ@HIDDEN>
Subject: Subject: 24.1.50; ediff-buffers command window does not work properly
From: Munawar Cheema <munawar.a.cheema@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary=e89a8ff251822dcb1404c0a63aad
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -6.1 (------)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 22 May 2012 17:04:44 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.1 (------)

--e89a8ff251822dcb1404c0a63aad
Content-Type: text/plain; charset=ISO-8859-1

--text follows this line--
 start emacs -Q, load in two files let's say .bashrc from two locations,
M-x ediff-buffers, now the little pop up window comes up, type ? and the
window does some bizarre moves and shrinks to almost nothing,


This bug report will be sent to the Bug-GNU-Emacs mailing list, and the GNU
bug tracker at debbugs.gnu.org.  Please check that, the From: line contains
a valid email address.  After a delay of up, to one day, you should receive
an acknowledgement at that address., Please write in English if possible,
as the Emacs maintainers, usually do not have translators for other
languages., Please describe exactly what actions triggered the bug, and,
the precise symptoms of the bug.  If you can, give a recipe, starting from
`emacs -Q':, If Emacs crashed, and you have the Emacs process in the gdb
debugger, please include the output from the following gdb commands:, `bt
full' and `xbacktrace'., For information about debugging Emacs, please read
the file, /usr/share/emacs/24.1.50/etc/DEBUG., In GNU Emacs 24.1.50.1
(x86_64-pc-linux-gnu, GTK+ Version 3.4.1), of 2012-05-10 on rhenium,
modified by Debian, (emacs-snapshot package, version
2:20120510-1~ppa1~precise1), Windowing system distributor `The X.Org
Foundation', version 11.0.11103000, Configured using:, `configure '--build'
'x86_64-linux-gnu' '--host' 'x86_64-linux-gnu', '--prefix=/usr'
'--sharedstatedir=/var/lib' '--libexecdir=/usr/lib', '--localstatedir=/var'
'--infodir=/usr/share/info', '--mandir=/usr/share/man' '--with-pop=yes',
'--enable-locallisppath=/etc/emacs-snapshot:/etc/emacs:/usr/local/share/emacs/24.1.50/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.1.50/site-lisp:/usr/share/emacs/site-lisp',
'--without-compress-info' '--with-crt-dir=/usr/lib/x86_64-linux-gnu/',
'--with-x=yes' '--with-x-toolkit=gtk3' '--with-imagemagick=yes',
'build_alias=x86_64-linux-gnu' 'host_alias=x86_64-linux-gnu',
'CFLAGS=-DDEBIAN -DSITELOAD_PURESIZE_EXTRA=5000 -g -O2' 'LDFLAGS=-g,
-Wl,--as-needed -znocombreloc' 'CPPFLAGS=-D_FORTIFY_SOURCE=2'', Important
settings:, value of $LC_ALL: nil, value of $LC_COLLATE: nil, value of
$LC_CTYPE: nil, value of $LC_MESSAGES: nil, value of $LC_MONETARY: nil,
value of $LC_NUMERIC: nil, value of $LC_TIME: nil, value of $LANG:
en_GB.UTF-8, value of $XMODIFIERS: nil, locale-coding-system: utf-8-unix,
default enable-multibyte-characters: t, Major mode: Shell-script, Minor
modes in effect:, tooltip-mode: t, mouse-wheel-mode: t, tool-bar-mode: t,
menu-bar-mode: t, file-name-shadow-mode: t, global-font-lock-mode: t,
font-lock-mode: t, blink-cursor-mode: t, auto-composition-mode: t,
auto-encryption-mode: t, auto-compression-mode: t, line-number-mode: t,
transient-mark-mode: t, Recent input:, C-x C-f . b a s h r <tab> <return>
C-x 2 C-x C-f D, R <tab> <backspace> r <tab> H o <tab> <tab> O <tab>, . b a
s h <tab> <return> M-x e d i f f - b u f f e, r <tab> <return> <return>
<return> ? <switch-frame>, <switch-frame> <switch-frame> <help-echo>
<help-echo>, <help-echo> <switch-frame> q <help-echo> <switch-frame>,
<help-echo> <help-echo> <help-echo> y <help-echo> <help-echo>, <help-echo>
<help-echo> <help-echo> <help-echo> <help-echo>, <help-echo> <help-echo>
<menu-bar> <help-menu> <se, nd-emacs-bug-report>, Recent messages:, Making
completion list..., Setting up indent for shell type bash, setting up
indent stuff, Indentation variables are now local., Indentation setup for
shell type bash, Computing differences between .bashrc and .bashrc2733Gs_
..., Buffer A: Processing difference region 0 of 1, Buffer B: Processing
difference region 0 of 1, Processing difference regions ... done, Quit this
Ediff session? (y or n)  y, Load-path shadows:

--e89a8ff251822dcb1404c0a63aad
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

--text follows this line--<br>=A0start emacs -Q, load in two files let&#39;=
s say .bashrc from two locations, M-x ediff-buffers, now the little pop up =
window comes up, type ? and the window does some bizarre moves and shrinks =
to almost nothing, <br>
<br><br>This bug report will be sent to the Bug-GNU-Emacs mailing list, and=
 the GNU bug tracker at <a href=3D"http://debbugs.gnu.org">debbugs.gnu.org<=
/a>.=A0 Please check that, the From: line contains a valid email address.=
=A0 After a delay of up, to one day, you should receive an acknowledgement =
at that address., Please write in English if possible, as the Emacs maintai=
ners, usually do not have translators for other languages., Please describe=
 exactly what actions triggered the bug, and, the precise symptoms of the b=
ug.=A0 If you can, give a recipe, starting from `emacs -Q&#39;:, If Emacs c=
rashed, and you have the Emacs process in the gdb debugger, please include =
the output from the following gdb commands:, `bt full&#39; and `xbacktrace&=
#39;., For information about debugging Emacs, please read the file, /usr/sh=
are/emacs/24.1.50/etc/DEBUG., In GNU Emacs 24.1.50.1 (x86_64-pc-linux-gnu, =
GTK+ Version 3.4.1), of 2012-05-10 on rhenium, modified by Debian, (emacs-s=
napshot package, version 2:20120510-1~ppa1~precise1), Windowing system dist=
ributor `The X.Org Foundation&#39;, version 11.0.11103000, Configured using=
:, `configure &#39;--build&#39; &#39;x86_64-linux-gnu&#39; &#39;--host&#39;=
 &#39;x86_64-linux-gnu&#39;, &#39;--prefix=3D/usr&#39; &#39;--sharedstatedi=
r=3D/var/lib&#39; &#39;--libexecdir=3D/usr/lib&#39;, &#39;--localstatedir=
=3D/var&#39; &#39;--infodir=3D/usr/share/info&#39;, &#39;--mandir=3D/usr/sh=
are/man&#39; &#39;--with-pop=3Dyes&#39;, &#39;--enable-locallisppath=3D/etc=
/emacs-snapshot:/etc/emacs:/usr/local/share/emacs/24.1.50/site-lisp:/usr/lo=
cal/share/emacs/site-lisp:/usr/share/emacs/24.1.50/site-lisp:/usr/share/ema=
cs/site-lisp&#39;, &#39;--without-compress-info&#39; &#39;--with-crt-dir=3D=
/usr/lib/x86_64-linux-gnu/&#39;, &#39;--with-x=3Dyes&#39; &#39;--with-x-too=
lkit=3Dgtk3&#39; &#39;--with-imagemagick=3Dyes&#39;, &#39;build_alias=3Dx86=
_64-linux-gnu&#39; &#39;host_alias=3Dx86_64-linux-gnu&#39;, &#39;CFLAGS=3D-=
DDEBIAN -DSITELOAD_PURESIZE_EXTRA=3D5000 -g -O2&#39; &#39;LDFLAGS=3D-g, -Wl=
,--as-needed -znocombreloc&#39; &#39;CPPFLAGS=3D-D_FORTIFY_SOURCE=3D2&#39;&=
#39;, Important settings:, value of $LC_ALL: nil, value of $LC_COLLATE: nil=
, value of $LC_CTYPE: nil, value of $LC_MESSAGES: nil, value of $LC_MONETAR=
Y: nil, value of $LC_NUMERIC: nil, value of $LC_TIME: nil, value of $LANG: =
en_GB.UTF-8, value of $XMODIFIERS: nil, locale-coding-system: utf-8-unix, d=
efault enable-multibyte-characters: t, Major mode: Shell-script, Minor mode=
s in effect:, tooltip-mode: t, mouse-wheel-mode: t, tool-bar-mode: t, menu-=
bar-mode: t, file-name-shadow-mode: t, global-font-lock-mode: t, font-lock-=
mode: t, blink-cursor-mode: t, auto-composition-mode: t, auto-encryption-mo=
de: t, auto-compression-mode: t, line-number-mode: t, transient-mark-mode: =
t, Recent input:, C-x C-f . b a s h r &lt;tab&gt; &lt;return&gt; C-x 2 C-x =
C-f D, R &lt;tab&gt; &lt;backspace&gt; r &lt;tab&gt; H o &lt;tab&gt; &lt;ta=
b&gt; O &lt;tab&gt;, . b a s h &lt;tab&gt; &lt;return&gt; M-x e d i f f - b=
 u f f e, r &lt;tab&gt; &lt;return&gt; &lt;return&gt; &lt;return&gt; ? &lt;=
switch-frame&gt;, &lt;switch-frame&gt; &lt;switch-frame&gt; &lt;help-echo&g=
t; &lt;help-echo&gt;, &lt;help-echo&gt; &lt;switch-frame&gt; q &lt;help-ech=
o&gt; &lt;switch-frame&gt;, &lt;help-echo&gt; &lt;help-echo&gt; &lt;help-ec=
ho&gt; y &lt;help-echo&gt; &lt;help-echo&gt;, &lt;help-echo&gt; &lt;help-ec=
ho&gt; &lt;help-echo&gt; &lt;help-echo&gt; &lt;help-echo&gt;, &lt;help-echo=
&gt; &lt;help-echo&gt; &lt;menu-bar&gt; &lt;help-menu&gt; &lt;se, nd-emacs-=
bug-report&gt;, Recent messages:, Making completion list..., Setting up ind=
ent for shell type bash, setting up indent stuff, Indentation variables are=
 now local., Indentation setup for shell type bash, Computing differences b=
etween .bashrc and .bashrc2733Gs_ ..., Buffer A: Processing difference regi=
on 0 of 1, Buffer B: Processing difference region 0 of 1, Processing differ=
ence regions ... done, Quit this Ediff session? (y or n)=A0 y, Load-path sh=
adows:<br>

--e89a8ff251822dcb1404c0a63aad--




Acknowledgement sent to Munawar Cheema <munawar.a.cheema@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#11544; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.